Bug 830366 - SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'rename' accesses on the file /home/roger/.macromedia/Flash_Player/#SharedObjects/LJ6K3K6K/s.ytimg.com/videostats.sxx.
SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'rename' acc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:8f53022f2f5078587e52bd2f8ad...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 21:57 EDT by Roger Berg
Modified: 2012-06-16 20:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 20:04:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roger Berg 2012-06-08 21:57:43 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc17.x86_64
time:           lör  9 jun 2012 03:57:16

description:
:SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'rename' accesses on the file /home/roger/.macromedia/Flash_Player/#SharedObjects/LJ6K3K6K/s.ytimg.com/videostats.sxx.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If du tror att npviewer.bin borde tillåtas åtkomsten rename till videostats.sxx file som standard.
:Then du bör rapportera detta som ett fel.
:Du kan generera en lokal policymodul för att tillåta denna åtkomst.
:Do
:tillåt denna åtkomst för tillfället genom att köra:
:# grep npviewer.bin /var/log/audit/audit.log | audit2allow -M minpol
:# semodule -i minpol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:user_home_t:s0
:Target Objects                /home/roger/.macromedia/Flash_Player/#SharedObject
:                              s/LJ6K3K6K/s.ytimg.com/videostats.sxx [ file ]
:Source                        npviewer.bin
:Source Path                   /usr/lib/nspluginwrapper/npviewer.bin
:Port                          <Okänd>
:Host                          (removed)
:Source RPM Packages           nspluginwrapper-1.4.4-9.fc17.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.7-1.fc17.x86_64 #1 SMP Mon
:                              May 21 22:32:19 UTC 2012 x86_64 x86_64
:Alert Count                   86
:First Seen                    fre  8 jun 2012 01:37:47
:Last Seen                     lör  9 jun 2012 03:46:43
:Local ID                      93218f3b-1cb5-4e90-8872-481bd46d3514
:
:Raw Audit Messages
:type=AVC msg=audit(1339206403.143:22265): avc:  denied  { rename } for  pid=26599 comm="npviewer.bin" name="videostats.sxx" dev="sda5" ino=17437073 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1339206403.143:22265): arch=i386 syscall=setitimer per=8 success=no exit=EACCES a0=f238d2e0 a1=f238d440 a2=f7648688 a3=f238d2e0 items=0 ppid=20651 pid=26599 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=46 comm=npviewer.bin exe=/usr/lib/nspluginwrapper/npviewer.bin subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: npviewer.bin,mozilla_plugin_t,user_home_t,file,rename
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-11 08:34:10 EDT
Please execute

# restorecon -R -v /home/roger

we added fixes to prevent this issue.
Comment 2 Fedora Update System 2012-06-11 17:01:56 EDT
selinux-policy-3.10.0-130.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-130.fc17
Comment 3 Fedora Update System 2012-06-15 19:59:02 EDT
Package selinux-policy-3.10.0-130.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-130.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9520/selinux-policy-3.10.0-130.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-16 20:04:00 EDT
selinux-policy-3.10.0-130.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.